How to launch Intellij with Java IcedTea ? (As known as java 1.7) ?

Hi ! I've an Ubuntu 7.10 x86_64 system, and I want to use IcedTea, but when I try to launch Intellij it wrtites to me that it only accept java 1.5 or 1.6. is there any way to use 1.7 ?

Please :)

Otherwise, to conform sme posts I've read before, I'm working with Idea 7.0.2 on an Ubuntu at work ( with Sun jdk 1.6) and sometime it freeze completely, the system load upper than 25 )

Cordialy.

4 comments
Comment actions Permalink

Add property 'idea.no.jdk.check' with value 'true' to idea.properties

yblazart wrote:

Hi ! I've an Ubuntu 7.10 x86_64 system, and I want to use IcedTea, but when I try to launch Intellij it wrtites to me that it only accept java 1.5 or 1.6. is there any way to use 1.7 ?

Please :)

Otherwise, to conform sme posts I've read before, I'm working with Idea 7.0.2 on an Ubuntu at work ( with Sun jdk 1.6) and sometime it freeze completely, the system load upper than 25 )

Cordialy.



--
Best regards,
Maxim Mossienko
IntelliJ Labs / JetBrains Inc.
http://www.intellij.com
"Develop with pleasure!"

0
Comment actions Permalink

Hello yblazart,

Hi ! I've an Ubuntu 7.10 x86_64 system, and I want to use IcedTea, but
when I try to launch Intellij it wrtites to me that it only accept
java 1.5 or 1.6. is there any way to use 1.7 ?

Please :)


Add -Didea.no.jdk.check=true to idea.properties

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Thanks al ot !!! :) I will try this tonight :)

0
Comment actions Permalink

And, what is your result?

We've wasted a lot of time hunting bugs on Fedora 8 which was caused by the
extremely buggy IcedTea-Java. After installing SUN's Java 1.6.0_04
everything was running fine again.

0

Please sign in to leave a comment.